curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Erstellen oder ersetzen Sie Dealaufteilungen für Deals mit den bereitgestellten IDs. Die Prozentsätze der Dealaufteilung für jeden Deal müssen in der Summe 1,0 (100 %) ergeben und können bis zu 8 Dezimalstellen haben.
curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Ein Array von Dealaufteilungseingaben
Show child attributes
successful operation
Der Zeitstempel, der im Datums- und Zeitformat angibt, wann der Batch-Vorgang abgeschlossen wurde.
Ein Array von Deal-zu-Dealaufteilungsobjekten, die die Ergebnisse des Batch-Vorgangs darstellen.
Show child attributes
Der Zeitstempel, der im Datums- und Zeitformat angibt, wann der Batch-Vorgang gestartet wurde.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Karte mit Linknamen zu zugehörigen URIs für zusätzliche Ressourcen oder Dokumentationen.
Show child attributes
Der Zeitstempel, der im Datums- und Zeitformat angibt, wann der Batch-Vorgang angefordert wurde.